## CamelMimeFilterPreview CamelMimeFilterPreview |

## Functions

CamelMimeFilter * | camel_mime_filter_preview_new ()
guint | camel_mime_filter_preview_get_limit ()
void | camel_mime_filter_preview_set_limit ()
const gchar * | camel_mime_filter_preview_get_text ()

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterPreview

## Description

## Functions

### camel_mime_filter_preview_new ()

    CamelMimeFilter *
    camel_mime_filter_preview_new (guint limit);

Creates a new CamelMimeFilterPreview object. It filters passed-in data into a text suitable for a message content preview.

#### Parameters

limit | a limit for the preview length |

#### Returns

a new CamelMimeFilterPreview object.

[transfer full]

Since: 3.52

### camel_mime_filter_preview_get_limit ()

    guint
    camel_mime_filter_preview_get_limit (CamelMimeFilterPreview *self);

Returns set limit for the text length, in characters. Zero means unlimited length.

#### Parameters

self | a CamelMimeFilterPreview |

#### Returns

limit for the text length, in characters

Since: 3.52

### camel_mime_filter_preview_set_limit ()

    void
    camel_mime_filter_preview_set_limit (CamelMimeFilterPreview *self,
                                         guint limit);

Sets limit for the text length, in characters. Zero means unlimited length.

#### Parameters

self | a CamelMimeFilterPreview |
limit | a limit to set |

Since: 3.52

### camel_mime_filter_preview_get_text ()

    const gchar *
    camel_mime_filter_preview_get_text (CamelMimeFilterPreview *self);

Returns read text until now.

#### Parameters

self | a CamelMimeFilterPreview |

#### Returns

read text until now or `NULL`, when nothing was read.

[nullable]

Since: 3.52